Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 667612 (CVE-2018-12386, CVE-2018-12387, MFSA-2018-24)

Summary: <www-client/firefox{,-bin}-{60.2.2,62.0.3}: multiple vulnerabilities (MFSA-2018-24)
Product: Gentoo Security Reporter: GLSAMaker/CVETool Bot <glsamaker>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: mozilla
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://www.mozilla.org/en-US/security/advisories/mfsa2018-24/
Whiteboard: B2 [glsa+ cve]
Package list:
www-client/firefox-60.2.2
Runtime testing required: ---

Description GLSAMaker/CVETool Bot gentoo-dev 2018-10-02 21:17:18 UTC
Incoming details.
Comment 1 Thomas Deutschmann gentoo-dev Security 2018-10-02 21:19:38 UTC
CVE-2018-12386: Type confusion in JavaScript

Impact
    critical

Description

A vulnerability in register allocation in JavaScript can lead to type confusion, allowing for an arbitrary read and write. This leads to remote code execution inside the sandboxed content process when triggered.
References


CVE-2018-12387:

Impact
    critical

Description

A vulnerability where the JavaScript JIT compiler inlines Array.prototype.push with multiple arguments that results in the stack pointer being off by 8 bytes after a bailout. This leaks a memory address to the calling function which can be used as part of an exploit inside the sandboxed content process.
Comment 2 Thomas Deutschmann gentoo-dev Security 2018-10-02 21:21:14 UTC
Fast stabilization started.
Comment 3 Thomas Deutschmann gentoo-dev Security 2018-10-02 21:40:12 UTC
Added to an existing GLSA request.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2018-10-02 22:25:53 UTC
This issue was resolved and addressed in
 GLSA 201810-01 at https://security.gentoo.org/glsa/201810-01
by GLSA coordinator Thomas Deutschmann (whissi).